mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Obsolete System.Runtime.InteropServices.Guid("00020404-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information about the IEnumVARIANT interface, see the MSDN Library.

Use instead.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information about IEnumVARIANT::Clone, see the MSDN Library.

  Creates another enumerator that contains the same enumeration state as the current one.

  On successful return, a reference to the newly created enumerator.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For more information about IEnumVARIANT::Next, see the MSDN Library.

  Retrieves a specified number of items in the enumeration sequence.

  S_OK if the parameter equals the parameter; otherwise, S_FALSE.

  The number of elements to return in . On successful return, a reference to the enumerated elements. On successful return, a reference to the actual number of elements enumerated in .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information about IEnumVARIANT::Reset, see the MSDN Library.

  Resets the enumeration sequence to the beginning.

  An HRESULT with the value S_OK.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For more information about IEnumVARIANT::Skip, see the MSDN Library.

  Skips over a specified number of items in the enumeration sequence.

  S_OK if the number of elements skipped equals parameter; otherwise, S_FALSE.

  The number of elements to skip in the enumeration.